Report A Mutual-Aid Post
curl --request POST \
--url https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/report \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "privacy"
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({reason: 'privacy'})
};
fetch('https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/report"
payload = { "reason": "privacy" }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"data": {
"report": {
"id": 144,
"post_id": 731,
"reason": "privacy",
"details": "The post may contain information that is too specific.",
"status": "open",
"resolved_at": null,
"resolution_note": null,
"created_at": "2026-07-18T10:15:00.000000Z"
}
}
}Mutual Aid
Report A Mutual-Aid Post
Privately reports a mutual-aid post to church staff for safety or moderation review.
POST
/
v1
/
mutual-aid-posts
/
{post}
/
report
Report A Mutual-Aid Post
curl --request POST \
--url https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/report \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "privacy"
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({reason: 'privacy'})
};
fetch('https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/mutual-aid-posts/{post}/report"
payload = { "reason": "privacy" }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"data": {
"report": {
"id": 144,
"post_id": 731,
"reason": "privacy",
"details": "The post may contain information that is too specific.",
"status": "open",
"resolved_at": null,
"resolution_note": null,
"created_at": "2026-07-18T10:15:00.000000Z"
}
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Required range:
x >= 1Body
application/json
Was this page helpful?